
Katello - Bug #4746

It's not possible to remove user

03/20/2014 01:41 PM - Pavel Studenik

Status: Closed   

Priority: High   

Assignee: Justin Sherrill   

Category: Web UI   

Target version: Katello 2.0   

Difficulty:  Fixed in Releases:  

Triaged: Yes Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

katello-1.5.0-18.el6sat.noarch

I created new user and then I tried to remove it. But I can't and I got SQL error.

PGError: ERROR: column katello_content_view_histories.user_id does not exist LINE 1: ...s".* FROM

"katello_content_view_histories" WHERE "katello_c... ^ : SELECT "katello_content_view_histories".* FROM

"katello_content_view_histories" WHERE "katello_content_view_histories"."user_id" = 3

Associated revisions

Revision 552151a8 - 03/24/2014 06:10 PM - Justin Sherrill

fixes #4746 - removing non-existant CV History User relationship

CV History doesn't actually have a relationship to user,

it just stores its user login, so no need for AR association

Revision cc72bf17 - 03/25/2014 01:21 PM - Justin Sherrill

Merge pull request #3878 from jlsherrill/user_del

fixes #4746 - removing non-existant CV History User relationship

History

#1 - 03/21/2014 08:16 PM - Mike McCune

- Triaged set to Yes

#2 - 03/21/2014 08:20 PM - Mike McCune

- Triaged deleted (Yes)

#3 - 03/21/2014 09:51 PM - Mike McCune

- Assignee set to Justin Sherrill

- Priority changed from Normal to High

- Triaged set to Yes

#4 - 03/24/2014 06:12 PM - Justin Sherrill

- Status changed from New to Assigned

#5 - 03/25/2014 01:52 PM - Justin Sherrill

- Status changed from Assigned to Closed

- % Done changed from 0 to 100

Applied in changeset katello|commit:552151a8596c5ddc9c02c92c89eaa4f4877c2dbf.
#6 - 08/21/2014 02:31 PM - Eric Helms

- translation missing: en.field_release set to 13
